<div class="grid-container">
  <mat-grid-list cols="2" rowHeight="350px">
    <mat-grid-tile *ngFor="let card of cards | async" [colspan]="card.cols" [rowspan]="card.rows">
      <mat-card class="dashboard-card">
        <mat-card-header class="dashboard-card-header">
          <mat-card-title>
            {{card.title}}
          </mat-card-title>
          <button mat-raised-button color="primary" class="add-product-button">
            Aggiungi Prodotto
          </button>
        </mat-card-header>
        <mat-card-content class="dashboard-card-content">
          <app-products-table *ngIf="card.tag == 'products-table'"></app-products-table>
          <app-add-edit-product *ngIf="card.tag == 'add-edit-product'"></app-add-edit-product>
        </mat-card-content>
      </mat-card>
    </mat-grid-tile>
  </mat-grid-list>
</div>
